--
-- Autor: Hewaaa
-- Date: 12.01.2013
-- publisher: www.ls2013.org
--

T5_Pack = {};

function T5_Pack.prerequisitesPresent(specializations)
    return true; 
end;

function T5_Pack:load(xmlFile)
		--Erster Trigger
	self.Trigger1 = T5_Pack.Trigger1;
	self.TriggerIndex1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.T5_Pack_Trigger1#index"));
	addTrigger(self.TriggerIndex1, "Trigger1", self);
	self.enteredTrigger1 = false;
		--Zweiter Trigger
	self.Trigger2 = T5_Pack.Trigger2;
	self.TriggerIndex2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.T5_Pack_Trigger2#index"));
	addTrigger(self.TriggerIndex2, "Trigger2", self);
	self.enteredTrigger2 = false;
	
end;

function T5_Pack:Trigger1(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if onEnter then
		self.enteredTrigger1 = true;
	end;
	if onLeave then 
		self.enteredTrigger1 = false;
	end;
end;

function T5_Pack:Trigger2(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if onEnter then
		self.enteredTrigger2 = true;
	end;
	if onLeave then 
		self.enteredTrigger2 = false;
	end;
end;


function T5_Pack:readStream(streamId, connection)
	
end;

function T5_Pack:writeStream(streamId, connection)	
	
end;

function T5_Pack:delete()
	
end;

function T5_Pack:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T5_Pack:keyEvent(unicode, sym, modifier, isDown)
end;

function T5_Pack:update(dt)
	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.T5_Pack_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pack_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;
				if self.animationParts[1].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pack_2")), InputBinding.T5_Pack_2);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pack_1")), InputBinding.T5_Pack_1);
				end;
		if InputBinding.isPressed(InputBinding.T5_Pack_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pack_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;
				if self.animationParts[2].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pack_4")), InputBinding.T5_Pack_4);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pack_3")), InputBinding.T5_Pack_3);
				end;
	end;

end;

function T5_Pack:updateTick(dt)
end;

function T5_Pack:draw()
end;

function T5_Pack:onLeave()
	
end;